Bug 148740 - UI Issue: In View->Styles, the `+` gets hidden when the cursor is on a parent style
Summary: UI Issue: In View->Styles, the `+` gets hidden when the cursor is on a paren...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: UI-Theming Icon-Theme-Breeze Options-Dialog-Colours
  Show dependency treegraph
 
Reported: 2022-04-23 06:04 UTC by Jambunathan K
Modified: 2022-05-12 14:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot that shows the problem (102.49 KB, image/png)
2022-04-23 06:10 UTC, Jambunathan K
Details
Screenshot taken in `safe` mode. `+` is invisible (75.17 KB, image/png)
2022-05-08 07:15 UTC, Jambunathan K
Details
how that would look (58.74 KB, image/png)
2022-05-11 12:19 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jambunathan K 2022-04-23 06:04:24 UTC
Description:
UI Issue:  In View->Styles, the `+` gets hidden when the cursor is on a parent style.

My suggestion ... When a style is highlighted, make the font color of the style name and the tree expander (`+`) use a color that contrasts well with the color used for highlight.

See  screenshot for details.  

Steps to Reproduce:
1. Open a new empty Document.
2. Do View->Styles
3. When on styles, put the cursor on a style that has children and which is folded away.




Actual Results:
4. Note that the `+` (the indicator that says "this styles has child styles" gets hidden)

Expected Results:
The `+` should be clearly visible.  Otherwise, it is not obvious that a style has children.

My suggestion ... When a style is highlighted, make the font color of the style name and the tree expander (`+`) use a color that contrasts well with the color used for highlight.


Reproducible: Always


User Profile Reset: No



Additional Info:
~$ dpkg -l | grep writer | grep office
ii  libreoffice-writer                                 1:7.3.3~rc1-2                      amd64        office productivity suite -- word processor
~$ 


Version: 7.3.3.1 / LibreOffice Community
Build ID: 30(Build:1)
CPU threads: 4; OS: Linux 5.17; UI render: default; VCL: x11
Locale: en-IN (en_IN); UI: en-US
Debian package version: 1:7.3.3~rc1-2
Calc: threaded
Comment 1 Jambunathan K 2022-04-23 06:10:31 UTC
Created attachment 179738 [details]
Screenshot that shows the problem
Comment 2 Jambunathan K 2022-04-23 06:15:27 UTC
The screenshot https://bugs.documentfoundation.org/attachment.cgi?id=179738 shows two empty documents.  I have used a tiling window manager to show the difference "side by side".
Comment 3 Dieter 2022-05-08 04:42:58 UTC
I can't confirm with

Version: 7.3.3.2 (x64) / LibreOffice Community
Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

"+" is always white.

Please try with a fresh profile. Does this solve your problem?
=> NEEDINFO
Comment 4 Jambunathan K 2022-05-08 07:10:53 UTC
(In reply to Dieter from comment #3)
> I can't confirm with
> 
> Version: 7.3.3.2 (x64) / LibreOffice Community
> Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
> CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL:
> win
> Locale: de-DE (de_DE); UI: en-GB
> Calc: CL
> 
> "+" is always white.
> 
> Please try with a fresh profile. Does this solve your problem?
> => NEEDINFO



You are using Windows, but I am using Linux. I don't have access to windows machines. So, I cannot confirm.


Please see the screenshot taken in `safe mode` on Debian Unstable.   I am using

Version: 7.3.3.2 / LibreOffice Community
Build ID: 30(Build:2)
CPU threads: 4; OS: Linux 5.17; UI render: default; VCL: x11
Locale: en-IN (en_IN); UI: en-US
Debian package version: 1:7.3.3~rc2-1
Calc: threaded

... which is fairly a very recent Debian Unstable.
Comment 5 Jambunathan K 2022-05-08 07:15:46 UTC
Created attachment 179990 [details]
Screenshot taken in `safe` mode.  `+` is invisible

I am using Linux. May be it is a Linux-only issue.
Comment 6 Jambunathan K 2022-05-08 07:21:09 UTC
> Please see the screenshot taken in `safe mode` on Debian Unstable.   I am
> using
> 
> Version: 7.3.3.2 / LibreOffice Community
> Build ID: 30(Build:2)
> CPU threads: 4; OS: Linux 5.17; UI render: default; VCL: x11
> Locale: en-IN (en_IN); UI: en-US
> Debian package version: 1:7.3.3~rc2-1
> Calc: threaded
> 
> ... which is fairly a very recent Debian Unstable.


`apt` is reporting

libreoffice is already the newest version (1:7.3.3~rc2-1).


So, I am cutting edge ... atleast as far as Debian is concerned
Comment 7 Jambunathan K 2022-05-08 08:51:41 UTC
See also Bug 148981 - In View->Formatting Marks, the paragraph marker 'π' is inconspicuous and needs to be in rendered in contrasting colors   https://bugs.documentfoundation.org/show_bug.cgi?id=148981
Comment 8 Heiko Tietze 2022-05-10 12:33:21 UTC
No issue right now on macOS and cannot remember seen it on Linux. I suspect the VCL=x11 to cause trouble or maybe the dark blue as highlight color. I guess the interaction works and the tree expands on click, does it?
Comment 9 Heiko Tietze 2022-05-10 12:56:48 UTC
Confirming with SAL_USE_VCLPLUGIN=gen and Breeze icon theme on Linux. Possible solutions are a) to change the highlight color and b) use a different color on Breeze icons. Probably a) is the better option. Caolan, what do you think?

Meanwhile you can use a different VCL and start the application with "SAL_USE_VCLPLUGIN=gtk3 /bin/soffice" (or kf5) or use a different icon theme.
Comment 10 Caolán McNamara 2022-05-11 11:52:30 UTC
we "draw" the lines, but we use an icon for the expand/unexpand. Another option might be to "draw" the expand/unexpand (we have decoview thing for that) which would presumably draw the expander in the same color that the grid lines are down in and solve it that way.
Comment 11 Caolán McNamara 2022-05-11 12:19:35 UTC
Created attachment 180062 [details]
how that would look

here's what would happen if we tried that with the prototype of https://gerrit.libreoffice.org/c/core/+/134168 it would look like this for all icon-themes
Comment 12 Heiko Tietze 2022-05-11 15:07:49 UTC
Thanks Caolan, looks good to me.

Rizal, Andreas: Do you accept to replace the themed expander icons by what comes from the system? At least I guess so, or is SymbolType::SPIN_DOWN some triangle vector in the end? On other places we run into trouble with self-made triangles in case of high resolution.
Comment 13 Rizal Muttaqin 2022-05-11 23:20:46 UTC
(In reply to Heiko Tietze from comment #12)

> Rizal, Andreas: Do you accept to replace the themed expander icons by what
> comes from the system? At least I guess so, or is SymbolType::SPIN_DOWN some
> triangle vector in the end? On other places we run into trouble with
> self-made triangles in case of high resolution.

No issue at all. Current KF5 and GTK3 back-end are not using icon theme at all.
Comment 14 Caolán McNamara 2022-05-12 13:31:56 UTC
From the code I suspect that macOS is also in the "not using icon theme at all" camp, those will not be affected by this proposed change. Wrt SymbolType::SPIN_DOWN that's something we draw outselves, but its the standard method for drawing these types of triangles.
Comment 15 Commit Notification 2022-05-12 14:13:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d9b072cd077cbb515e5aef584d98cb5deda48776

tdf#148740 draw expanders instead of using icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.